#ifndef FUTUREWATCHERINTERFACE_H
#define FUTUREWATCHERINTERFACE_H

#include <QObject>

namespace nemo_interface {

class FutureWatcherInterface : public QObject {
  Q_OBJECT
public:
  FutureWatcherInterface(QObject *parent = nullptr);

  virtual void waitForFinished() = 0;
  virtual bool isStarted() = 0;
  virtual bool isFinished() = 0;

signals:
  void finished();
  void started();
};
} // namespace nemo_interface

#endif // FUTUREWATCHERINTERFACE_H
